<template>
  <component :is="currentCity" />
</template>

<script lang="tsx" setup name="qualityIndex">
import { defineAsyncComponent, computed } from 'vue';
import { useThemeConfig } from '@/stores/themeConfig';
import { storeToRefs } from 'pinia';

// 引入组件
const YiBin = defineAsyncComponent(() => import('@/views/quality/index/YBQuality.vue')); // 宜宾工单质检
const ZiGong = defineAsyncComponent(() => import('@/views/quality/index/ZGQuality.vue')); // 自贡工单质检
const LuZhou = defineAsyncComponent(() => import('@/views/quality/index/YBQuality.vue')); // 泸州工单质检

const storesThemeConfig = useThemeConfig();
const { themeConfig } = storeToRefs(storesThemeConfig);

const COMPONENT_LIST = {
  YiBin,
  ZiGong,
  LuZhou
};
// 当前地州市
const currentCity = computed(() => {
  return COMPONENT_LIST[themeConfig.value.appScope];
});
</script>
